%define aurox_ver 10.1
%define rel 1


%define name phpmyadmin
%define filename phpMyAdmin
%define version 2.6.0
%define patch_level pl2
%define webadminroot /var/www/html/admin

Summary:	PhpMyAdmin is intended to handle the adminstration of MySQL over the web.
Name:		%{name}
Version:	%{version}
Release: %{aurox_ver}.aur.%{rel}
#Source0:	http://prdownloads.sourceforge.net/phpmyadmin/phpMyAdmin/%{filename}-%{version}-%{?patch_level}.tar.bz2
Source0:        phpMyAdmin-2.6.0-pl2.tar.bz2
Patch0:		phpMyAdmin-2.5.6-cookieconfig.patch
License:	GPL
URL:		http://www.phpmyadmin.net
Group:		Applications/System
BuildRoot:	%{_tmppath}/%{name}-buildroot
Requires:	httpd php php-mysql
BuildArch:	noarch
Prefix:		%{webadminroot}

%description
phpMyAdmin is intended to handle the adminstration of MySQL over
the web. Currently it can : create and drop databases, create,
copy, drop and alter tables, delete, edit and add fields, execute
any SQL-statement, even batch-queries, manage keys on fields, load
text files into tables, create and read dumps of tables, export
data to CSV value, administer multiple servers and single
databases.

%prep
%setup -q -n %{filename}-%{version}-%{?patch_level}
#%patch0 -p1

%build

# clean up CVS stuff
for i in `find . -type d -name CVS` `find . -type f -name .cvs\*` `find . -type f -name .#\*`; do
    if [ -e "$i" ]; then rm -r $i; fi >&/dev/null
done

# fix dir perms
find . -type d | xargs chmod 755

# fix file perms
find . -type f | xargs chmod 644

%install
install -d %{buildroot}/%{webadminroot}/%{name}
cp -aRf * %{buildroot}/%{webadminroot}/%{name}/

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE CREDITS ChangeLog Documentation.* INSTALL README RELEASE-DATE-%version-%{?patch_level} TODO
%config(noreplace) %attr(0644,root,root) %{webadminroot}/%{name}/config.inc.php
%dir %{webadminroot}/%{name}
%{webadminroot}/%{name}/*

%changelog
* Fri Nov 05 2004 Aurox Team <aurox@aurox.org> 0:2.6.0-10.1.aur.1
- fixes in spec (patch_level macro added)
- version 2.5.7-pl1
- update group name
- update to latest release
- initial import (for LDP edition)

* Fri Nov 05 2004 Lukasz Kowalczyk <lkowalczyk@aurox.org> 2.6.0-pl2.aur.1
- new 2.6.0-pl2 phpmyadmin aurox release

* Thu Sep 18 2003 Robert Glowczynski <robertg@software.com.pl> 2.5.3-9.1.aur.1
- release for Aurox Linux

* Mon Sep 08 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.3-1mdk
- 2.5.3
- mysqlserver is not required

* Wed Jul 23 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.2-1mdk
- 2.5.2

* Tue Jun 03 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.1-1mdk
- 2.5.1

* Sun May 11 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.5.0-1mdk
- 2.5.0
- misc spec file fixes

* Mon Feb 24 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.4.0-1mdk
- 2.4.0

* Tue Jan 28 2003 Lenny Cartier <lenny@mandrakesoft.com> 2.3.2-4mdk
- rebuild

* Mon Jan 27 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.2-3mdk
- build release

* Thu Nov 14 2002 Yves Duret <yves@zarb.org> 2.3.2-2mdk
- use cookie auth by default instead of password in plain config text
  ie. works out of box now (patch0).
- remove unusefull macros.
- fix doc file not found.

* Wed Oct 16 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.2-1mdk
- new version

* Thu Sep 19 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.0-2mdk
- misc spec file fixes
- install in common and relocatable %%{webadminroot}/ directory

* Mon Aug 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.3.0-1mdk
- new version

* Fri Apr 22 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.6-1mdk
- new version
- updated URL

* Fri Apr  5 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.5-1mdk
- new version

* Tue Mar 12 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.4-1mdk
- update to 2.2.4.

* Fri Mar  1 2002 Daouda LO <daouda@mandrakesoft.com> 2.2.3-2mdk
- Requires: mod_php

* Sun Jan 06 2002 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.3-1mdk
- update to 2.2.3.

* Sun Dec 2 2001 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.2.2-1mdk
- update to 2.2.2
- added url

* Thu Oct 29 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.1-2mdk
- Fixed typo in Requires.

* Thu Oct 25 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.1-1mdk
- 2.2.1.

* Fri Oct 19 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.0-2mdk
- Require php-Mysql.

* Fri Oct 19 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.2.0-1mdk
- 2.2.0.

* Tue Oct 16 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.0-3mdk
- Make rpmlint happier.

* Thu Aug 09 2001 Christian Belisle <cbelisle@mandrakesoft.com> 2.1.0-2mdk
- s/Copyright/License.
- s/BuildArchitectures/BuildArch.
- Added a require for MySQL.

* Tue Mar 06 2001 Gregory Letoquart <gletoquart@mandrakesoft.com> 2.1.0-1mdk
- first rpm distribution.

